module Region
{
    type Voxels = Array<boolean>;
    type Coords = [number, number, number]
    type Index = number
    type IndexToCoords = (index:Index)=> Coords
    type CoordsToIndex = (x:number, y:number, z:number)=> Index
    type BufferParts = { pos:Array<number>, ind:Array<number> }
    type BufferBuilder = (voxels:Voxels)=>BufferParts
}